package com.example.poop_fx_controller;


import com.example.model.GameModel;
import javafx.animation.AnimationTimer;
import javafx.geometry.Point2D;


public class Squash extends AnimationTimer {
    private GameModel gameModel;

    public Squash(GameModel gameModel) {
        this.gameModel = gameModel;
    }

    @Override
    public void handle(long l) {
        gameModel.getBall().moveBall(l);

        Point2D point = gameModel.getBall().getCenterPoint();

        gameModel.contactsPaddle(l);


        if (point.getY() > gameModel.getWidth()) {
            gameModel.resetBall();
        }

        gameModel.repaint();
    }
}
